<?xml version="1.0" encoding="UTF-8" ?>

<Form version="1.5" maxVersion="1.9" type="org.netbeans.modules.form.forminfo.JFrameFormInfo">
  <Properties>
    <Property name="defaultCloseOperation" type="int" value="3"/>
    <Property name="title" type="java.lang.String" value="Turing Bomb - Whole Exhaustion - by Luzian Bieri"/>
    <Property name="cursor" type="java.awt.Cursor" editor="org.netbeans.modules.form.editors2.CursorEditor">
      <Color id="Standardcursor"/>
    </Property>
    <Property name="foreground" type="java.awt.Color" editor="org.netbeans.beaninfo.editors.ColorEditor">
      <Color blue="c0" green="c0" id="lightGray" palette="1" red="c0" type="palette"/>
    </Property>
    <Property name="location" type="java.awt.Point" editor="org.netbeans.beaninfo.editors.PointEditor">
      <Point value="[0, 0]"/>
    </Property>
    <Property name="resizable" type="boolean" value="false"/>
  </Properties>
  <SyntheticProperties>
    <SyntheticProperty name="formSizePolicy" type="int" value="1"/>
    <SyntheticProperty name="generateCenter" type="boolean" value="true"/>
  </SyntheticProperties>
  <AuxValues>
    <AuxValue name="FormSettings_autoResourcing" type="java.lang.Integer" value="0"/>
    <AuxValue name="FormSettings_autoSetComponentName" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_generateFQN" type="java.lang.Boolean" value="true"/>
    <AuxValue name="FormSettings_generateMnemonicsCode" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_i18nAutoMode" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_layoutCodeTarget" type="java.lang.Integer" value="1"/>
    <AuxValue name="FormSettings_listenerGenerationStyle" type="java.lang.Integer" value="0"/>
    <AuxValue name="FormSettings_variablesLocal" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_variablesModifier" type="java.lang.Integer" value="2"/>
  </AuxValues>

  <Layout>
    <DimensionLayout dim="0">
      <Group type="103" groupAlignment="0" attributes="0">
          <Group type="102" alignment="0" attributes="0">
              <EmptySpace pref="25" max="32767" attributes="0"/>
              <Component id="contentPanel" min="-2" max="-2" attributes="0"/>
              <EmptySpace min="-2" pref="25" max="-2" attributes="0"/>
          </Group>
      </Group>
    </DimensionLayout>
    <DimensionLayout dim="1">
      <Group type="103" groupAlignment="0" attributes="0">
          <Group type="102" alignment="0" attributes="0">
              <EmptySpace pref="25" max="32767" attributes="0"/>
              <Component id="contentPanel" min="-2" max="-2" attributes="0"/>
              <EmptySpace min="-2" pref="25" max="-2" attributes="0"/>
          </Group>
      </Group>
    </DimensionLayout>
  </Layout>
  <SubComponents>
    <Container class="javax.swing.JPanel" name="contentPanel">
      <Properties>
        <Property name="border" type="javax.swing.border.Border" editor="org.netbeans.modules.form.editors2.BorderEditor">
          <Border info="org.netbeans.modules.form.compat2.border.BevelBorderInfo">
            <BevelBorder bevelType="1"/>
          </Border>
        </Property>
        <Property name="doubleBuffered" type="boolean" value="false"/>
        <Property name="preferredSize" type="java.awt.Dimension" editor="org.netbeans.beaninfo.editors.DimensionEditor">
          <Dimension value="[800, 700]"/>
        </Property>
      </Properties>

      <Layout>
        <DimensionLayout dim="0">
          <Group type="103" groupAlignment="0" attributes="0">
              <Group type="102" alignment="1" attributes="0">
                  <EmptySpace max="-2" attributes="0"/>
                  <Group type="103" groupAlignment="1" attributes="0">
                      <Group type="102" attributes="0">
                          <EmptySpace min="0" pref="0" max="32767" attributes="0"/>
                          <Component id="backButton" min="-2" max="-2" attributes="0"/>
                      </Group>
                      <Component id="solutionTableScrollPane" alignment="0" max="32767" attributes="0"/>
                      <Component id="instructionScrollPane" alignment="0" max="32767" attributes="0"/>
                      <Group type="102" alignment="0" attributes="0">
                          <Group type="103" groupAlignment="0" attributes="0">
                              <Group type="102" alignment="0" attributes="0">
                                  <Group type="103" groupAlignment="0" max="-2" attributes="0">
                                      <Group type="102" alignment="0" attributes="0">
                                          <Component id="jLabel10" min="-2" max="-2" attributes="0"/>
                                          <EmptySpace type="unrelated" max="-2" attributes="0"/>
                                          <Component id="connectionsField" max="32767" attributes="0"/>
                                      </Group>
                                      <Group type="102" alignment="0" attributes="0">
                                          <Component id="jLabel6" min="-2" max="-2" attributes="0"/>
                                          <EmptySpace type="unrelated" max="-2" attributes="0"/>
                                          <Component id="loopField" min="-2" pref="394" max="-2" attributes="0"/>
                                      </Group>
                                      <Group type="102" alignment="0" attributes="0">
                                          <Component id="startButton" min="-2" pref="136" max="-2" attributes="0"/>
                                          <EmptySpace type="unrelated" max="-2" attributes="0"/>
                                          <Component id="jLabel11" min="-2" max="-2" attributes="0"/>
                                          <EmptySpace type="separate" max="-2" attributes="0"/>
                                          <Component id="charactersRadioButton" min="-2" max="-2" attributes="0"/>
                                          <EmptySpace type="unrelated" max="-2" attributes="0"/>
                                          <Component id="numbersRadioButton" min="-2" max="-2" attributes="0"/>
                                      </Group>
                                  </Group>
                                  <Group type="103" groupAlignment="0" max="-2" attributes="0">
                                      <Group type="102" alignment="0" attributes="0">
                                          <EmptySpace min="-2" pref="18" max="-2" attributes="0"/>
                                          <Component id="jLabel5" min="-2" max="-2" attributes="0"/>
                                          <EmptySpace type="unrelated" max="-2" attributes="0"/>
                                          <Component id="nrOfSolutionsField" max="32767" attributes="0"/>
                                      </Group>
                                      <Group type="102" alignment="0" attributes="0">
                                          <EmptySpace min="-2" pref="4" max="-2" attributes="0"/>
                                          <Component id="jLabel3" min="-2" max="-2" attributes="0"/>
                                          <EmptySpace max="-2" attributes="0"/>
                                          <Component id="differenceToBeginningField" max="32767" attributes="0"/>
                                      </Group>
                                      <Group type="102" alignment="0" attributes="0">
                                          <EmptySpace max="-2" attributes="0"/>
                                          <Component id="loadLastInputButton" min="-2" max="-2" attributes="0"/>
                                          <EmptySpace type="unrelated" max="-2" attributes="0"/>
                                          <Component id="jLabel8" min="-2" max="-2" attributes="0"/>
                                          <EmptySpace type="unrelated" max="-2" attributes="0"/>
                                          <Component id="cableSpinner" min="-2" max="-2" attributes="0"/>
                                          <EmptySpace type="unrelated" max="-2" attributes="0"/>
                                          <Component id="jLabel9" min="-2" max="-2" attributes="0"/>
                                          <EmptySpace max="-2" attributes="0"/>
                                          <Component id="wireSpinner" min="-2" max="-2" attributes="0"/>
                                      </Group>
                                  </Group>
                              </Group>
                              <Component id="jLabel1" alignment="0" min="-2" max="-2" attributes="0"/>
                              <Component id="jLabel2" alignment="0" min="-2" max="-2" attributes="0"/>
                              <Component id="jLabel4" alignment="0" min="-2" max="-2" attributes="0"/>
                          </Group>
                          <EmptySpace min="0" pref="31" max="32767" attributes="0"/>
                      </Group>
                  </Group>
                  <EmptySpace min="20" pref="20" max="-2" attributes="0"/>
              </Group>
          </Group>
        </DimensionLayout>
        <DimensionLayout dim="1">
          <Group type="103" groupAlignment="0" attributes="0">
              <Group type="102" alignment="0" attributes="0">
                  <EmptySpace min="-2" max="-2" attributes="0"/>
                  <Component id="jLabel1" min="-2" max="-2" attributes="0"/>
                  <EmptySpace type="separate" min="-2" max="-2" attributes="0"/>
                  <Component id="jLabel2" min="-2" max="-2" attributes="0"/>
                  <EmptySpace min="-2" max="-2" attributes="0"/>
                  <Component id="jLabel4" min="-2" max="-2" attributes="0"/>
                  <EmptySpace type="unrelated" min="-2" max="-2" attributes="0"/>
                  <Component id="instructionScrollPane" min="-2" max="-2" attributes="0"/>
                  <EmptySpace type="separate" min="-2" max="-2" attributes="0"/>
                  <Group type="103" groupAlignment="3" attributes="0">
                      <Component id="jLabel6" alignment="3" min="-2" max="-2" attributes="0"/>
                      <Component id="loopField" alignment="3" max="32767" attributes="0"/>
                      <Component id="jLabel3" alignment="3" min="-2" max="-2" attributes="0"/>
                      <Component id="differenceToBeginningField" alignment="3" max="32767" attributes="0"/>
                  </Group>
                  <EmptySpace type="unrelated" min="-2" max="-2" attributes="0"/>
                  <Group type="103" groupAlignment="3" attributes="0">
                      <Component id="jLabel10" alignment="3" min="-2" max="-2" attributes="0"/>
                      <Component id="connectionsField" alignment="3" max="32767" attributes="0"/>
                      <Component id="jLabel8" alignment="3" min="-2" max="-2" attributes="0"/>
                      <Component id="cableSpinner" alignment="3" max="-2" attributes="0"/>
                      <Component id="jLabel9" alignment="3" min="-2" max="-2" attributes="0"/>
                      <Component id="wireSpinner" alignment="3" max="32767" attributes="0"/>
                      <Component id="loadLastInputButton" alignment="3" min="-2" max="-2" attributes="0"/>
                  </Group>
                  <EmptySpace type="unrelated" max="-2" attributes="0"/>
                  <Group type="103" groupAlignment="3" attributes="0">
                      <Component id="startButton" alignment="3" min="-2" max="-2" attributes="0"/>
                      <Component id="jLabel11" alignment="3" min="-2" max="-2" attributes="0"/>
                      <Component id="charactersRadioButton" alignment="3" min="-2" max="-2" attributes="0"/>
                      <Component id="numbersRadioButton" alignment="3" min="-2" max="-2" attributes="0"/>
                      <Component id="nrOfSolutionsField" alignment="3" max="32767" attributes="0"/>
                      <Component id="jLabel5" alignment="3" min="-2" max="-2" attributes="0"/>
                  </Group>
                  <EmptySpace type="separate" max="-2" attributes="0"/>
                  <Component id="solutionTableScrollPane" min="-2" pref="324" max="-2" attributes="0"/>
                  <EmptySpace max="-2" attributes="0"/>
                  <Component id="backButton" min="-2" max="-2" attributes="0"/>
                  <EmptySpace min="-2" pref="74" max="-2" attributes="0"/>
              </Group>
          </Group>
        </DimensionLayout>
      </Layout>
      <SubComponents>
        <Container class="javax.swing.JScrollPane" name="solutionTableScrollPane">
          <AuxValues>
            <AuxValue name="autoScrollPane" type="java.lang.Boolean" value="true"/>
          </AuxValues>

          <Layout class="org.netbeans.modules.form.compat2.layouts.support.JScrollPaneSupportLayout"/>
          <SubComponents>
            <Component class="javax.swing.JTable" name="solutionTable">
              <Properties>
                <Property name="model" type="javax.swing.table.TableModel" editor="org.netbeans.modules.form.editors2.TableModelEditor">
                  <Table columnCount="9" rowCount="1">
                    <Column editable="false" title="Solution Nr:" type="java.lang.Object"/>
                    <Column editable="false" title="Rotor 1:" type="java.lang.Object"/>
                    <Column editable="false" title="Rotor 2:" type="java.lang.Object"/>
                    <Column editable="false" title="Rotor 3:" type="java.lang.Object"/>
                    <Column editable="false" title="UKW:" type="java.lang.Object"/>
                    <Column editable="false" title="Position 1:" type="java.lang.Object"/>
                    <Column editable="false" title="Position 2:" type="java.lang.Object"/>
                    <Column editable="false" title="Position 3:" type="java.lang.Object"/>
                    <Column editable="false" title="Diagonalboard:" type="java.lang.Object"/>
                  </Table>
                </Property>
                <Property name="columnModel" type="javax.swing.table.TableColumnModel" editor="org.netbeans.modules.form.editors2.TableColumnModelEditor">
                  <TableColumnModel selectionModel="0">
                    <Column maxWidth="-1" minWidth="-1" prefWidth="-1" resizable="false">
                      <Title/>
                      <Editor/>
                      <Renderer/>
                    </Column>
                    <Column maxWidth="-1" minWidth="-1" prefWidth="-1" resizable="false">
                      <Title/>
                      <Editor/>
                      <Renderer/>
                    </Column>
                    <Column maxWidth="-1" minWidth="-1" prefWidth="-1" resizable="false">
                      <Title/>
                      <Editor/>
                      <Renderer/>
                    </Column>
                    <Column maxWidth="-1" minWidth="-1" prefWidth="-1" resizable="false">
                      <Title/>
                      <Editor/>
                      <Renderer/>
                    </Column>
                    <Column maxWidth="-1" minWidth="-1" prefWidth="-1" resizable="false">
                      <Title/>
                      <Editor/>
                      <Renderer/>
                    </Column>
                    <Column maxWidth="-1" minWidth="-1" prefWidth="-1" resizable="false">
                      <Title/>
                      <Editor/>
                      <Renderer/>
                    </Column>
                    <Column maxWidth="-1" minWidth="-1" prefWidth="-1" resizable="false">
                      <Title/>
                      <Editor/>
                      <Renderer/>
                    </Column>
                    <Column maxWidth="-1" minWidth="-1" prefWidth="-1" resizable="false">
                      <Title/>
                      <Editor/>
                      <Renderer/>
                    </Column>
                    <Column maxWidth="-1" minWidth="-1" prefWidth="-1" resizable="false">
                      <Title/>
                      <Editor/>
                      <Renderer/>
                    </Column>
                  </TableColumnModel>
                </Property>
                <Property name="tableHeader" type="javax.swing.table.JTableHeader" editor="org.netbeans.modules.form.editors2.JTableHeaderEditor">
                  <TableHeader reorderingAllowed="true" resizingAllowed="true"/>
                </Property>
              </Properties>
              <AccessibilityProperties>
                <Property name="AccessibleContext.accessibleName" type="java.lang.String" value=""/>
              </AccessibilityProperties>
            </Component>
          </SubComponents>
        </Container>
        <Component class="javax.swing.JLabel" name="jLabel11">
          <Properties>
            <Property name="text" type="java.lang.String" value="Show in:"/>
          </Properties>
        </Component>
        <Component class="javax.swing.JRadioButton" name="charactersRadioButton">
          <Properties>
            <Property name="text" type="java.lang.String" value="Characters"/>
            <Property name="cursor" type="java.awt.Cursor" editor="org.netbeans.modules.form.editors2.CursorEditor">
              <Color id="Handcursor"/>
            </Property>
            <Property name="doubleBuffered" type="boolean" value="true"/>
          </Properties>
          <Events>
            <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="charactersRadioButtonActionPerformed"/>
          </Events>
        </Component>
        <Component class="javax.swing.JTextField" name="nrOfSolutionsField">
          <Properties>
            <Property name="editable" type="boolean" value="false"/>
            <Property name="cursor" type="java.awt.Cursor" editor="org.netbeans.modules.form.editors2.CursorEditor">
              <Color id="Textcursor"/>
            </Property>
          </Properties>
          <Events>
            <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="nrOfSolutionsFieldActionPerformed"/>
          </Events>
        </Component>
        <Component class="javax.swing.JRadioButton" name="numbersRadioButton">
          <Properties>
            <Property name="text" type="java.lang.String" value="Numbers"/>
            <Property name="cursor" type="java.awt.Cursor" editor="org.netbeans.modules.form.editors2.CursorEditor">
              <Color id="Handcursor"/>
            </Property>
          </Properties>
          <Events>
            <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="numbersRadioButtonActionPerformed"/>
          </Events>
        </Component>
        <Component class="javax.swing.JLabel" name="jLabel5">
          <Properties>
            <Property name="text" type="java.lang.String" value="Number of solutions:"/>
          </Properties>
        </Component>
        <Component class="javax.swing.JLabel" name="jLabel1">
          <Properties>
            <Property name="font" type="java.awt.Font" editor="org.netbeans.beaninfo.editors.FontEditor">
              <Font name="Tahoma" size="24" style="1"/>
            </Property>
            <Property name="text" type="java.lang.String" value="Turing Bomb"/>
          </Properties>
        </Component>
        <Component class="javax.swing.JLabel" name="jLabel6">
          <Properties>
            <Property name="text" type="java.lang.String" value="Loops:"/>
          </Properties>
        </Component>
        <Component class="javax.swing.JLabel" name="jLabel2">
          <Properties>
            <Property name="text" type="java.lang.String" value="by Luzian Bieri"/>
          </Properties>
        </Component>
        <Component class="javax.swing.JLabel" name="jLabel8">
          <Properties>
            <Property name="text" type="java.lang.String" value="Testregister:"/>
          </Properties>
        </Component>
        <Component class="javax.swing.JSpinner" name="cableSpinner">
          <Properties>
            <Property name="model" type="javax.swing.SpinnerModel" editor="org.netbeans.modules.form.editors2.SpinnerModelEditor">
              <SpinnerModel type="list">
                <ListItem value=" A"/>
                <ListItem value=" B"/>
                <ListItem value=" C"/>
                <ListItem value=" D"/>
                <ListItem value=" E"/>
                <ListItem value=" F"/>
                <ListItem value=" G"/>
                <ListItem value=" H"/>
                <ListItem value=" I"/>
                <ListItem value=" J"/>
                <ListItem value=" K"/>
                <ListItem value=" L"/>
                <ListItem value=" M"/>
                <ListItem value=" N"/>
                <ListItem value=" O"/>
                <ListItem value=" P"/>
                <ListItem value=" Q"/>
                <ListItem value=" R"/>
                <ListItem value=" S"/>
                <ListItem value=" T"/>
                <ListItem value=" U"/>
                <ListItem value=" V"/>
                <ListItem value=" W"/>
                <ListItem value=" X"/>
                <ListItem value=" Y"/>
                <ListItem value=" Z"/>
              </SpinnerModel>
            </Property>
            <Property name="cursor" type="java.awt.Cursor" editor="org.netbeans.modules.form.editors2.CursorEditor">
              <Color id="Handcursor"/>
            </Property>
          </Properties>
          <Events>
            <EventHandler event="stateChanged" listener="javax.swing.event.ChangeListener" parameters="javax.swing.event.ChangeEvent" handler="cableSpinnerStateChanged"/>
          </Events>
        </Component>
        <Component class="javax.swing.JTextField" name="loopField">
          <Events>
            <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="loopFieldActionPerformed"/>
          </Events>
        </Component>
        <Component class="javax.swing.JLabel" name="jLabel9">
          <Properties>
            <Property name="text" type="java.lang.String" value="Wire:"/>
          </Properties>
        </Component>
        <Component class="javax.swing.JButton" name="backButton">
          <Properties>
            <Property name="text" type="java.lang.String" value="Back to Startingpage"/>
            <Property name="cursor" type="java.awt.Cursor" editor="org.netbeans.modules.form.editors2.CursorEditor">
              <Color id="Handcursor"/>
            </Property>
          </Properties>
          <Events>
            <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="backButtonActionPerformed"/>
          </Events>
        </Component>
        <Component class="javax.swing.JSpinner" name="wireSpinner">
          <Properties>
            <Property name="model" type="javax.swing.SpinnerModel" editor="org.netbeans.modules.form.editors2.SpinnerModelEditor">
              <SpinnerModel type="list">
                <ListItem value=" A"/>
                <ListItem value=" B"/>
                <ListItem value=" C"/>
                <ListItem value=" D"/>
                <ListItem value=" E"/>
                <ListItem value=" F"/>
                <ListItem value=" G"/>
                <ListItem value=" H"/>
                <ListItem value=" I"/>
                <ListItem value=" J"/>
                <ListItem value=" K"/>
                <ListItem value=" L"/>
                <ListItem value=" M"/>
                <ListItem value=" N"/>
                <ListItem value=" O"/>
                <ListItem value=" P"/>
                <ListItem value=" Q"/>
                <ListItem value=" R"/>
                <ListItem value=" S"/>
                <ListItem value=" T"/>
                <ListItem value=" U"/>
                <ListItem value=" V"/>
                <ListItem value=" W"/>
                <ListItem value=" X"/>
                <ListItem value=" Y"/>
                <ListItem value=" Z"/>
              </SpinnerModel>
            </Property>
            <Property name="cursor" type="java.awt.Cursor" editor="org.netbeans.modules.form.editors2.CursorEditor">
              <Color id="Handcursor"/>
            </Property>
            <Property name="focusCycleRoot" type="boolean" value="true"/>
          </Properties>
        </Component>
        <Component class="javax.swing.JLabel" name="jLabel4">
          <Properties>
            <Property name="font" type="java.awt.Font" editor="org.netbeans.beaninfo.editors.FontEditor">
              <Font name="Tahoma" size="11" style="1"/>
            </Property>
            <Property name="text" type="java.lang.String" value="Whole Exhaustion"/>
          </Properties>
        </Component>
        <Component class="javax.swing.JLabel" name="jLabel10">
          <Properties>
            <Property name="text" type="java.lang.String" value="Diagonalboard-Connections:"/>
          </Properties>
        </Component>
        <Component class="javax.swing.JButton" name="startButton">
          <Properties>
            <Property name="text" type="java.lang.String" value="Start"/>
            <Property name="cursor" type="java.awt.Cursor" editor="org.netbeans.modules.form.editors2.CursorEditor">
              <Color id="Handcursor"/>
            </Property>
          </Properties>
          <Events>
            <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="startButtonActionPerformed"/>
          </Events>
        </Component>
        <Component class="javax.swing.JTextField" name="connectionsField">
          <Events>
            <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="connectionsFieldActionPerformed"/>
          </Events>
        </Component>
        <Container class="javax.swing.JScrollPane" name="instructionScrollPane">
          <AuxValues>
            <AuxValue name="autoScrollPane" type="java.lang.Boolean" value="true"/>
          </AuxValues>

          <Layout class="org.netbeans.modules.form.compat2.layouts.support.JScrollPaneSupportLayout"/>
          <SubComponents>
            <Component class="javax.swing.JTextArea" name="instructionTextArea">
              <Properties>
                <Property name="editable" type="boolean" value="false"/>
                <Property name="columns" type="int" value="20"/>
                <Property name="font" type="java.awt.Font" editor="org.netbeans.beaninfo.editors.FontEditor">
                  <Font name="Tahoma" size="11" style="0"/>
                </Property>
                <Property name="rows" type="int" value="5"/>
                <Property name="text" type="java.lang.String" value="Description: &#xa;- Separate complete loops with semicolons,  singele elements of the loops with commas&#xa;- Separate diagonalboard-connections with commas.The connectio of the first doublescrambler comes to the first position.&#xa;- Difference to te beginning and the diagonalboard don&apos;t work together!"/>
                <Property name="disabledTextColor" type="java.awt.Color" editor="org.netbeans.beaninfo.editors.ColorEditor">
                  <Color blue="0" green="0" red="0" type="rgb"/>
                </Property>
                <Property name="enabled" type="boolean" value="false"/>
                <Property name="minimumSize" type="java.awt.Dimension" editor="org.netbeans.beaninfo.editors.DimensionEditor">
                  <Dimension value="[556, 74]"/>
                </Property>
                <Property name="requestFocusEnabled" type="boolean" value="false"/>
              </Properties>
            </Component>
          </SubComponents>
        </Container>
        <Component class="javax.swing.JButton" name="loadLastInputButton">
          <Properties>
            <Property name="text" type="java.lang.String" value="Load  last input"/>
            <Property name="cursor" type="java.awt.Cursor" editor="org.netbeans.modules.form.editors2.CursorEditor">
              <Color id="Handcursor"/>
            </Property>
          </Properties>
          <Events>
            <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="loadLastInputButtonActionPerformed"/>
          </Events>
        </Component>
        <Component class="javax.swing.JTextField" name="differenceToBeginningField">
          <Events>
            <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="differenceToBeginningFieldActionPerformed"/>
          </Events>
        </Component>
        <Component class="javax.swing.JLabel" name="jLabel3">
          <Properties>
            <Property name="text" type="java.lang.String" value="Difference to the beginning of the text:"/>
            <Property name="focusable" type="boolean" value="false"/>
          </Properties>
        </Component>
      </SubComponents>
    </Container>
  </SubComponents>
</Form>
